/**
 * 
 */
package de.bstly.board.model;

import java.time.Instant;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * The Class PersistentLogin.
 */
@Entity
@Table(name = "persistent_logins")
public class PersistentLogin {

	@Column(name = "username", length = 64, nullable = false)
	private String username;
	@Id
	@Column(name = "series", length = 64)
	private String series;
	@Column(name = "token", length = 64, nullable = false)
	private String token;
	@Column(name = "last_used", nullable = false)
	private Instant last_used;

	/**
	 * Gets the username.
	 *
	 * @return the username
	 */
	public String getUsername() {
		return username;
	}

	/**
	 * Sets the username.
	 *
	 * @param username the new username
	 */
	public void setUsername(String username) {
		this.username = username;
	}

	/**
	 * Gets the series.
	 *
	 * @return the series
	 */
	public String getSeries() {
		return series;
	}

	/**
	 * Sets the series.
	 *
	 * @param series the new series
	 */
	public void setSeries(String series) {
		this.series = series;
	}

	/**
	 * Gets the token.
	 *
	 * @return the token
	 */
	public String getToken() {
		return token;
	}

	/**
	 * Sets the token.
	 *
	 * @param token the new token
	 */
	public void setToken(String token) {
		this.token = token;
	}

	/**
	 * Gets the last used.
	 *
	 * @return the last used
	 */
	public Instant getLast_used() {
		return last_used;
	}

	/**
	 * Sets the last used.
	 *
	 * @param last_used the new last used
	 */
	public void setLast_used(Instant last_used) {
		this.last_used = last_used;
	}

}
